<!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  ~ /*                                                                                            ~
  ~  - #%L                                                                                        ~
  ~  - CHVote-Receiver                                                                            ~
  ~  - %%                                                                                         ~
  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~
  ~  - %%                                                                                         ~
  ~  - This program is free software: you can redistribute it and/or modify                       ~
  ~  - it under the terms of the GNU Affero General Public License as published by                ~
  ~  - the Free Software Foundation, either version 3 of the License, or                          ~
  ~  - (at your option) any later version.                                                        ~
  ~  -                                                                                            ~
  ~  - This program is distributed in the hope that it will be useful,                            ~
  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~
  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~
  ~  - GNU General Public License for more details.                                               ~
  ~  -                                                                                            ~
  ~  - You should have received a copy of the GNU Affero General Public License                   ~
  ~  - along with this program. If not, see <http://www.gnu.org/licenses/>.                       ~
  ~  - #L%                                                                                        ~
  ~  */                                                                                           ~
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->

<div id="business-error-dialog">
  <h2 matDialogTitle fxLayout fxLayoutGap="5px">
    <mat-icon fxFlexAlign="center" color="warn">warning</mat-icon>
    <span>{{ 'global.business-error-dialog.title' | translate }}</span>
  </h2>
  <mat-dialog-content>
    <span *ngIf="errorMessages.length === 1">{{errorMessages[0]}}</span>
    <ul *ngIf="errorMessages.length > 1">
      <li *ngFor="let errorMessage of errorMessages">
        <span>{{errorMessage}}</span>
      </li>
    </ul>
  </mat-dialog-content>
  <mat-dialog-actions fxLayoutAlign="end">
    <button mat-button color="primary" matDialogClose>{{'global.actions.close' | translate | uppercase}}</button>
  </mat-dialog-actions>
</div>
